> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform a test query



## OpenAPI

````yaml /api-reference/4.2/service-query-stages.json get /query-stages/instances/{id}/test
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-stages
paths:
  /query-stages/instances/{id}/test:
    get:
      tags:
        - 4.2 Query Stages API
      summary: Perform a test query
      operationId: testStageInstance
      parameters:
        - name: id
          in: path
          description: Stage ID
          required: true
          schema:
            type: string
        - name: collection
          in: query
          description: Collection ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryRequestAndResponse'
components:
  schemas:
    QueryRequestAndResponse:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/Request'
        response:
          $ref: '#/components/schemas/Response'
        totalTime:
          type: integer
          format: int64
        startTime:
          type: integer
          format: int64
        fieldNames:
          type: array
          uniqueItems: true
          items:
            type: string
    Request:
      type: object
      properties:
        initialParams:
          type: object
          readOnly: true
          additionalProperties:
            type: array
            items:
              type: string
        headers:
          type: object
          readOnly: true
          additionalProperties:
            type: array
            items:
              type: string
        params:
          type: object
          readOnly: true
          additionalProperties:
            type: array
            items:
              type: string
        httpMethod:
          type: string
          readOnly: true
        entityBytes:
          type: array
          readOnly: true
          items:
            type: string
            format: byte
        entityMediaType:
          $ref: '#/components/schemas/MediaType'
    Response:
      type: object
      properties:
        headers:
          type: object
          readOnly: true
          additionalProperties:
            type: array
            items:
              type: string
    MediaType:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: string
        wildcardType:
          type: boolean
          default: false
        wildcardSubtype:
          type: boolean
          default: false

````